package cl.utfsm.elo.khott.cliente;

import javax.swing.JFrame;
import java.awt.BorderLayout;
import cl.utfsm.elo.khott.cliente.gui.*;

/**
 * Clase que implementa la interfaz grfica del programa.
 * @author Janther
 */
public final class Cliente extends JFrame {

    /**
     * Numero Serial de la clase.
     */
    private static final long serialVersionUID = 1001;
    /**
     * Constructor por omisin de la clase.
     * @param applet Booleano que informa al constructor si este se est
     * corriendo de un applet o de un ejecutable.
     */
    public Cliente(final boolean applet) {
        super("Inscripcion de Ramos.");
        this.setLayout(new BorderLayout());
        if (!applet) {
            JFrame.setDefaultLookAndFeelDecorated(true);
            setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        } else { }
        String conexion = "localhost:1099";
        Panel pane = new Panel(conexion);
        add(new ColumnaDatos(conexion, pane), BorderLayout.LINE_START);
        add(pane, BorderLayout.CENTER);
        pack();
        final int anchoInicial = 640;
        final int altoInicial = 480;
        setSize(anchoInicial, altoInicial);
        setResizable(true);
    }

    /**
     * Constructor de la clase.
     * @param args Argumento entregado al ejecutar, debe ser null.
     */
    public static void main(final String[] args) {
        JFrame ventana = new Cliente(false);
        ventana.setVisible(true);
    }
}
