package cl.utfsm.elo.khott.servidor;

import java.awt.Color;
import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Interfaz remota de las salas.
 * @author Klaus
 */
public interface SalaInterfaz extends Remote {

    public abstract String getId() throws RemoteException;

    public abstract int getCap() throws RemoteException;

    public abstract void addReserva(Reserva r) throws RemoteException;

    public abstract Color getColorFondo() throws RemoteException;

    public abstract Color getColorText() throws RemoteException;

    public abstract String getToolTip() throws RemoteException;

    public abstract void setColores(int min, int max, int alumnos)
            throws RemoteException;

    public abstract Color getColorHorario(int weeck, int dia, int bloque)
            throws RemoteException;
}
